*, *:before, *:after, *::before, *::after, *:checked {
	z-index: 1;
	box-sizing: border-box;
	
	color: 0;
	background: 0;
	border: 0;
	outline: 0;
	font-weight: normal;
	font-size: 100%;
	font: inherit;
	//vertical-align: baseline;
	//vertical-align: middle;
	
	list-style-type: none;
	text-decoration: none;
	max-width: 100%;
	line-height: 120%;
	text-transform: none;
	text-indent: 0;
	font-style: none;
	
	margin: 0px;
	padding: 0px;
	margin-block-start: 0px;
	margin-block-end: 0px;
	margin-inline-start: 0px;
	margin-inline-end: 0px;

	padding-block-start: 0px;
	padding-block-end: 0px;
	padding-inline-start: 0px;
	padding-inline-end: 0px;

	scrollbar-color: #222 #0000;
	scrollbar-width: thin;
	
	content: "";
	interpolate-size: allow-keywords;
}

html {
	height: 100%;
	background-image: linear-gradient(to right, #fff, #eee, #fff);
}

body {
	font-family: Oswald, sans, sans-serif, helvetica, arial;
	font-size: 1.1rem;
	color: #222;
	width: 100%;
	max-width: 800px;
	height: 100%;
	margin-left: auto;
	margin-right: auto;
}

b {
	font-weight: 600;
}

i {
	font-style: italic;
}

u {
	text-decoration: underline;
}

a, a:visited {
	color: #298;
	text-decoration: none;
}

a:hover {
	color: #5cb;
	text-decoration: underline;
}

*, *:visited, *:active, *:focus {
	font-size: 		inherit;
	color: 			inherit;
	
	&[small]		{	font-size: 1.6rem;	}
	&[medium]		{	font-size: 2.0rem;	}
	&[large]		{	font-size: 3.0rem;	}
	
	&[red]			{	color: #c00;	}
	&[blue]			{	color: #069;	}
	&[green] 		{	color: #0c0; 	}
	&[yellow]		{	color: #cc0;	}
	&[black]		{	color: #222;	}
	&[white]		{	color: #eee;	}
	&[orange]		{	color: #f70;	}
	&[purple]		{	color: #c0c;	}
	&[pink]			{	color: #faa;	}
	&[lightblue]	{	color: #0bf;	}
	&[kinkgreen]	{	color: #4ba;	}
	
	&[shadow]		{	text-shadow: 2px 2px 4px #111;	}
	&[outline]		{	text-shadow: -1px 0 #111, 0 1px #111, 1px 0 #111, 0 -1px #111;	}
	&[glow]			{	text-shadow: 0 0 4px #c00;	}
	
	&[under]		{	text-decoration: underline;	}
	&[wavy]			{	text-decoration: underline wavy 1px;	}
	&[noline]		{	text-decoration: none;	}
	
	&[bold]			{	font-weight: bold;	}
	&[italic]		{	font-style: italic;	}
	
	&[upper]		{	text-transform: uppercase;	}
	&[lower]		{	text-transform: lowercase;	}
	&[capitalize]	{	text-transform: capitalize;	}
	
	&[box]			{	border: 1px solid #111;	}
	&[rounded]		{	border-radius: 10px;	}
	
	&[b-red]		{	background-color: #c00;	}
	&[b-blue]		{	background-color: #069;	}
	&[b-green]		{	background-color: #0c0;	}
	&[b-yellow]		{	background-color: #cc0;	}
	&[b-black]		{	background-color: #222;	}
	&[b-white]		{	background-color: #eee;	}
	&[b-orange]		{	background-color: #f70;	}
	&[b-purple]		{	background-color: #c0c;	}
	&[b-pink]		{	background-color: #faa;	}
	&[b-lightblue]	{	background-color: #0bf;	}
	
	&[padded]		{	padding-left: 5px; padding-right: 5px;	}
	
	&[left]			{	float: left;	}
	&[right]		{	float: right;	}
	&[center]		{	display: block; text-align: center; margin-left: auto; margin-right: auto; }
	
	&[sans]			{	font-family: sans, sans-serif, helvetica, arial;	}
	&[serif]		{	font-family: serif, times, times new roman;	}
	&[mono]			{	font-family: mono, monospaced, courier, courier new;	}
}

*:hover {
	&[hover-blue]		{	color: #069; }
	&[hover-red]		{	color: #c00; }
	&[hover-green]		{	color: #0c0; }
	&[hover-yellow]		{	color: #cc0; }
	&[hover-black]		{	color: #222; }
	&[hover-white]		{	color: #eee; }
	&[hover-orange]		{	color: #f70; }
	&[hover-purple]		{	color: #c0c; }
	&[hover-pink]		{	color: #faa; }
	&[hover-lightblue]	{	color: #0bf; }
	
	&[hover-under]	{	text-decoration: underline;	}
	&[hover-wavy]	{	text-decoration: underline wavy 1px;	}
	&[hover-noline]	{	text-decoration: none;	}
}

li {
	padding-left: 0px;
}

li::before {
	content: "»";
	color: #f70;
	padding-left: 10px;
	padding-right: 10px;
	
}

si {
	padding-left: 10px;
}

hr {
	height: 2px;
	margin-bottom: 5px;
	background-image: linear-gradient(to right, #0695, #069, #069, #069, #069, #069, #0000, #0000);
}

si::before {
	content: "»";
	color: #f70;
	padding-left: 10px;
	padding-right: 10px;
	
}

#fullPage {
	display: flex;
	flex-flow: column nowrap;
	height: 100%;
	min-height: 100%;
	max-height: 100%;
	background: #fff0;
	padding: 5px;
}

#topBar, #pageContents, #menuBar {
	width: 100%;
	flex-grow: 1;
}

#topBar {
	font-family: Oswald, "Bebas Neue";
	font-size: 3rem;
	height: 70px;
	min-height: 70px;
	max-height: 70px;
	line-height: 74px;
	background: #c000;
	align-content: center;
	justify-content: center;
	vertical-align: middle;
	text-align: left;
	cursor: default;
	padding-left: 16px;
	border: 2px solid #999;
	border-radius: 10px;
	
	background: #9995;
}

#pageContents {
	display: flex;
	flex-flow: column-reverse nowrap;
	margin-top: 5px;
	height: 1px;
}

#mainContents {
	flex-grow: 1;
	border: 2px solid #999;
	border-radius: 10px;
	padding: 10px;
	height: 1px;
	margin-bottom: 5px;
	background: #fff7;
}

#contentWrapper {
	flex-grow: 1;
	padding: 6px;
	font-family: "Oswald";
	font-size: 1.2rem;
	overflow: auto;
	scrollbar-gutter: stable;
	height: 100%;
	max-height: 100%;
}

.pageTitle {
	font-size: 2.5rem;
	border-bottom: 1px solid #999;
	display: block;
	margin-bottom: 10px;
}

#menuBar {
	flex-grow: 1;
	display: flex;
	flex-flow: row nowrap;
	font-size: 22px;

	line-height: 56px;
	padding: 0px;
	vertical-align: middle;
	background: #0690;
	overflow: hidden;
	height: 46px;
	min-height: 46px;
	max-height: 46px;
}

#menuBar a, #menuBar a:visited, #menuBar a:hover {
	color: none;
	text-decoration: none;
}

#menuBar .symbol {
	flex-grow: 1;
	cursor: default;
	
	//min-width: 40px;
	//max-width: 40px;
	height: 30px;
	min-height: 30px;
	max-height: 30px;
	line-height: 30px;
	vertical-align: middle;
	text-align: left;
	color: #555;
	font-family: "remixicon";
	background: #f700;
	transform: scale(0.95);
	transition: all 500ms ease-in-out;
}

#menuBar a {
	background: #fff7;
	border: 2px solid #999;
	width: 100%;
	border-radius: 10px;
	height: 40px;
	min-height: 40px;
	max-height: 40px;
	line-height: 30px;
	padding: 3px;
	margin-bottom: 5px;
	transition: all 500ms ease-in-out;
}

#menuBar a:hover {
	background: #eee;
	border: 2px solid #069;
}

#menuBar a:hover .symbol {
	transform: scale(1);
	color: #17a;
}

#menuBar .symbol .toolTip {
	font-family: Oswald;
	font-size: 1.1rem;
	visibility: visible;
	display: inline;
	padding: 5px;
	z-index: 100;
}

#menuBar .selected {
	transform: scale(1);
	color: #0bf;
}

/* --- Small screens, e g smartphones */	
@media (max-width: 700px) {
	.mobHide {
		visibility: hidden;
	}
	
	#pageContents {
		flex-flow: column nowrap;
	}
	
	#mainContents {
		height: 1px;
	}
	
	#menuBar {
		font-size: 32px;
		flex-flow: row nowrap;
		align-items: stretch;
		justify-items: stretch;
		justify-content: space-around;
		width: 100%;
		max-width: 100%;
		height: 60px;
		min-height: 60px;
		max-height: 60px;
		background: #f700;
		overflow: hidden;
		scrollbar-gutter: none;
	}
	
	#menuBar .symbol {
		width: 40px;
		min-width: 40px;
		max-width: 40px;
		height: 40px;
		min-height: 40px;
		max-height: 40px;
		line-height: 40px;
		text-align: center;
		vertical-align: middle;
		background: #c000;
	}

	#menuBar a {
		width: 50px;
		min-width: 50px;
		max-width: 50px;
		height: 50px;
		min-height: 50px;
		max-height: 50px;
		line-height: 30px;
		margin: 0px;
		background: #0690;
	}
	
	#menuBar .symbol .toolTip {
		font-family: Oswald;
		font-size: 1.1rem;
		visibility: hidden;
		display: inline-block;
		width: 80px;
		min-width: 80px;
		max-width: 80px;
		height: 30px;
		min-height: 30px;
		max-height: 30px;
		vertical-align: middle;
		background: #069;
		color: #fff;
		text-align: center;
		padding: 5px 0;
		border-radius: 6px;
		position: absolute;
		top: -10px;
		left: -30px;
		z-index: 100;
	}

	#menuBar .symbol:hover .toolTip {
		visibility: visible;
	}
}